# $Revision: 1.24 $, $Date: 2009/05/18 09:32:44 $
#
# Conditional build:
%bcond_without	javadoc		# don't build javadoc
%if "%{pld_release}" == "ti"
%bcond_without	java_sun	# build with gcj
%else
%bcond_with	java_sun	# build with java-sun
%endif
#
%include	/usr/lib/rpm/macros.java
#
%define		srcname	commons-beanutils
Summary:	Commons BeanUtils - Bean Introspection Utilities
Summary(pl.UTF-8):	Commons BeanUtils - narzędzia do badania JavaBeans
Name:		java-commons-beanutils
Version:	1.7.0
Release:	4
License:	Apache v2.0
Group:		Libraries/Java
Source0:	http://www.apache.org/dist/commons/beanutils/source/commons-beanutils-%{version}-src.tar.gz
# Source0-md5:	3fd5cbdf70363b151de5cd538f726e67
Patch0:		jakarta-commons-beanutils-target.patch
URL:		http://commons.apache.org/beanutils/
BuildRequires:	java-commons-collections
BuildRequires:	java-commons-logging
%{!?with_java_sun:BuildRequires:	java-gcj-compat-devel}
%{?with_java_sun:BuildRequires:	java-sun}
BuildRequires:	jpackage-utils
BuildRequires:	junit
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Suggests:	java-commons-collections
Provides:	jakarta-commons-beanutils
Obsoletes:	jakarta-commons-beanutils
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Bean Introspection Utilities component of the Commons subproject
offers low-level utility classes that assist in getting and setting
property values on Java classes that follow the naming design patterns
outlined in the JavaBeans Specification, as well as mechanisms for
dynamically defining and accessing bean properties.

%description -l pl.UTF-8
Komponent Bean Instrospection Utilities z podprojektu Commons oferuje
niskopoziomowe klasy narzędziowe pomagające w odczytywaniu i
ustawianiu wartości składowych klas Javy zgodnych ze wzorcami
nazewnictwa określonymi w specyfikacji JavaBeans oraz mechanizmy do
dynamicznego definiowania i dostępu do składowych.

%package javadoc
Summary:	Commons BeanUtils documentation
Summary(pl.UTF-8):	Dokumentacja do Commons BeanUtils
Group:		Documentation
Requires:	jpackage-utils
Obsoletes:	jakarta-commons-beanutils-doc

%description javadoc
Commons BeanUtils documentation.

%description javadoc -l pl.UTF-8
Dokumentacja do Commons BeanUtils.

%prep
%setup -q -n commons-beanutils-%{version}-src
%patch0 -p1

%build
required_jars="commons-logging commons-collections"
export CLASSPATH=$(build-classpath $required_jars)
export LC_ALL=en_US # sources are not in ASCII
%ant clean
%ant jar bean-collections-dist %{?with_javadoc:javadoc}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}

# jars
cp -a dist/%{srcname}-core.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-core-%{version}.jar
ln -s %{srcname}-core-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-core.jar

cp -a optional/bean-collections/dist/%{srcname}-bean-collections.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-bean-collections-%{version}.jar
ln -s %{srcname}-bean-collections-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-bean-collections.jar

# javadoc
%if %{with javadoc}
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
cp -a dist/docs/* $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{srcname}-%{version} %{_javadocdir}/%{srcname}

%files
%defattr(644,root,root,755)
%doc *.txt
%{_javadir}/*.jar

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}
%endif

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-commons-beanutils.spec,v $
Revision 1.24  2009/05/18 09:32:44  pawelz
- do not BR: java-gcj-compat-devel

Revision 1.23  2009/05/18 08:29:24  pawelz
- added JDK bconds
- simplified

Revision 1.22  2009/02/16 09:05:10  ankry
- adapterized

Revision 1.21  2009/02/16 07:24:19  pawelz
- correct dir for javadoc
- use java-gcj-compat-devel
- do not R jre
- do not build javadoc when being built --without javadoc
- rel 4

Revision 1.20  2009/01/23 10:35:24  pawelz
- commons-{logging,collections} are no longer part of jakarta projekt

Revision 1.19  2008/11/24 17:36:06  qboosh
- unified

Revision 1.18  2008/11/23 21:08:53  glen
- renamed to java-commons-beanutils.spec

Revision 1.17  2008/01/01 23:40:29  glen
- rel 3

Revision 1.16  2007-12-07 23:33:08  glen
- typo

Revision 1.15  2007-12-07 23:12:50  glen
- java deps
- new URL
- add -target.patch to build with 1.3 source

Revision 1.14  2007-09-02 10:48:53  qboosh
- cleanup

Revision 1.13  2007/08/30 13:38:14  glen
- disable self BR (Piotr Maciej Kabata)

Revision 1.12  2007/04/09 21:16:27  qboosh
- no macro in Obsoletes for old package

Revision 1.11  2007/04/09 20:57:59  glen
- compile jar
- unify java package

Revision 1.10  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.8  2006/05/15 10:54:16  ankry
- cosmetics

Revision 1.7  2005/05/08 16:58:46  qboosh
- more specific URL, master Source0 URL

Revision 1.6  2004/12/14 15:48:07  baggins
- DON'T hardcode paths!

Revision 1.5  2004/09/02 18:19:20  darekr
- updated to 1.7.0

Revision 1.4  2003/05/28 12:59:13  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 05:49:05  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/03/26 10:18:12  qboosh
- enhanced descriptions and dependencies

Revision 1.1  2003/03/06 00:42:04  misiek
- initial pld release
